Bug 819146 - X -configure fails
X -configure fails
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-05 00:26 EDT by cornel panceac
Modified: 2013-08-01 09:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 09:28:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error message (1.77 KB, text/plain)
2012-05-05 00:26 EDT, cornel panceac
no flags Details
generated conf file (8.06 KB, text/plain)
2012-05-05 00:26 EDT, cornel panceac
no flags Details
Xorg -configure error output (1.46 KB, text/plain)
2013-01-20 09:29 EST, Arnon Weinberg
no flags Details

  None (edit)
Description cornel panceac 2012-05-05 00:26:11 EDT
Created attachment 582251 [details]
error message

Description of problem:
X -configure fails with "Number of created screens does not match number of detected devices."

Version-Release number of selected component (if applicable):
# rpm -qf /bin/Xorg
xorg-x11-server-Xorg-1.12.0-2.fc17.i686



How reproducible:
always

Steps to Reproduce:
1.X -configure
2.
3.
  
Actual results:


Expected results:


Additional info:
The xorg.conf.new is actually created but uses "vesa" driver for Radeon HD card:

# lspci -nn | grep VGA
01:00.0 VGA compatible controller [0300]: ATI Technologies Inc Mobility Radeon HD 3600 Series [1002:9598]
Comment 1 cornel panceac 2012-05-05 00:26:58 EDT
Created attachment 582252 [details]
generated conf file
Comment 2 Arnon Weinberg 2013-01-20 09:28:23 EST
Getting the same error, though in my case no xorg.conf.new file is created (nVidia cards).

>lspci -nn | grep VGA
01:00.0 VGA compatible controller [0300]: nVidia Corporation G98 [GeForce 8400 GS] [10de:06e4] (rev a1)
04:00.0 VGA compatible controller [0300]: nVidia Corporation NV44A [GeForce 6200] [10de:0221] (rev a1)
Comment 3 Arnon Weinberg 2013-01-20 09:29:40 EST
Created attachment 683566 [details]
Xorg -configure error output
Comment 4 Fedora End Of Life 2013-07-04 00:25:07 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 09:28:45 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.